Jump to content

ISL

Клуб разработчиков
  • Posts

    447
  • Joined

  • Last visited

  • Days Won

    4

Everything posted by ISL

  1. Странно. При наличии чертежа, в котором есть линии, получается так: 4 lines out of 4 objects processing line 1... 353 from <25359.1087639363,36653.7614767467> to <45911.5935698963,36653.7614767467> processing line 2... 354 from <45911.5935698963,36653.7614767467> to <15735.3261960661,12675.86253646> processing line 3... 355 from <15735.3261960661,12675.86253646> to <43301.7542294569,7293.06889680383> processing line 4... 356 from <43301.7542294569,7293.06889680383> to <23727.9591761617,15122.5869181219>
  2. Программного интерфейса к настройке пользовательского интерфейса пока нет. Собственное меню и панель инструментов можно добавить следующим образом: - создать файл userdata.cfg рядом с NCad.cfg (первый включается в последний через #include "userdata.cfg") - перезагрузить пользовательский интерфейс: Правая кнопка на тулбаре, Интерфейс..., Сбросить всё.
  3. Для начала нужно обновить OdaX_csd.dll ftp://ftp.nanocad.ru/nc20/NC25(1114)_OdaX_fix.zip appName = "nanoCAD.Application" On Error Resume Next Set app = GetObject("", appName) If Err <> 0 Then Set app = CreateObject(appName) app.Visible = True End If Set ThisDrawing = app.ActiveDocument set lines = ThisDrawing.SelectionSets.Add("Lines") set lines = ThisDrawing.SelectionSets("Lines") lines.Select 5, Nothing, Nothing, 0, "LINE" echo lines.Count & " lines out of " & ThisDrawing.ModelSpace.Count & " objects" i=1 For Each e in lines echo "processing line " & i & "..." echo "" & e.Handle & " from " & pt_toString(e.StartPoint) & " to " & pt_toString(e.EndPoint) i=i+1 Next Function pt_toString(pt) p = ThisDrawing.Utility.CreateSafeArrayFromVector(pt) pt_toString = "<" & p(0) & "," & p(1) & ">" End Function Sub echo(msg) ThisDrawing.Utility.Prompt msg WScript.StdOut.WriteLine msg End Sub
  4. Используется double. Присылайте пример, посмотрим под отладчиком, что там происходит.
  5. Проблема известна и уже исправлена. Войдёт в следующую сборку. По видимому, Вы создаёте примитивы в области, далёкой от центра окна. Тут помогла бы программная регенерация. Но, метод Activedocument.Regen() не реализован, поэтому и возникает исключение. Постараемся исправить к следующей сборке. Присылайте пример, может быть получится что-нибудь придумать.
  6. Отправил по почте исправленный модуль OdaX_csd.dll. Теперь GetAttributes() работает правильно.
×
×
  • Create New...